framework:
    messenger:
        # Transport pour les traductions asynchrones
        transports:
            translation_async:
                dsn: 'doctrine://default?queue_name=translation'
                options:
                    use_notify: true
                    check_delayed_interval: 60000
                retry_strategy:
                    max_retries: 3
                    delay: 1000
                    multiplier: 2
                    max_delay: 0

        # Routage des messages vers les transports
        routing:
            App\Message\TranslationRequestMessage: translation_async
            App\Message\TranslationProcessMessage: translation_async
            App\Message\TranslationUpdateMessage: translation_async 